{% extends 'layouts/artdrop.html.twig' %}

{% block title %}Foire aux questions{% endblock %}

{% block newstylesheets %}
    <!-- Inclut une feuille de style spécifique pour la page -->
    <link href="{{ asset('assets/css/hidden-tab.css') }}" rel="stylesheet">
{% endblock %}

{% block newjavascripts %}
    <!-- Inclut un script JavaScript pour la gestion onglets caché -->
    <script src="{{ asset('assets/js/faq.js') }}"></script>
{% endblock %}


{% block titleAndDecription %}
    <!-- Affiche le titre et la description de la page FAQ -->
    <h2>FAQ</h2>
    <p>Bienvenue dans notre Foire aux Questions (FAQ). Nous avons rassemblé ici des réponses claires et concises aux
        questions fréquemment posées par nos visiteurs. Naviguez facilement à travers les différentes catégories et
        trouvez les informations dont vous avez besoin. Simplifiez votre expérience en obtenant rapidement les réponses
        essentielles.</p>
{% endblock %}

{% block section %}
    <!-- FAQ Section -->
    <section>
        <div class="container">
            <!-- Contenu de la FAQ -->
            <div class="faq">

                <!-- Affiche chaque question de la FAQ -->
                {% for entity in entities %}
                    <!-- question/réponse de la FAQ -->
                    <div class="faq-item">
                        <div class="faq-question" id="question{{ entity.getId() }}"
                             onclick="toggleAnswer({{ entity.getId() }})">
                            <span>Question : </span> {{ entity.getQuestion() }}
                            <div class="response-box" id="response-box{{ entity.getId() }}">
                                <hr class="hr_line" id="hr_line">
                                <p class="faq-answer"><span>Réponse : </span>{{ entity.getResponse() }}</p>
                            </div>
                        </div>
                    </div>
                {% endfor %}

            </div>
        </div>
        <!-- Fin de la section FAQ -->
    </section>

    <!-- Section de contact -->
    <div class="container position-relative">
        <div class="row d-flex justify-content-center">
            <div class="col-lg-6 text-center">
                <!-- Message invitant à contacter l'équipe d'assistance si la réponse ne peut pas être trouvée -->
                <p>Si vous ne trouvez pas la réponse que vous cherchez dans notre FAQ, n'hésitez pas à nous contacter.
                    Notre équipe d'assistance est là pour vous aider. Cliquez sur le lien ci-dessous pour nous envoyer
                    un message et nous vous répondrons dans les plus brefs délais.</p>
                <br>
                <a class="contact_us" href="{{ path('contact') }}">Contactez-nous</a>

            </div>
        </div>
    </div>

{% endblock %}